Index: trunk/src/world_entities/questGUI/quest.cc
===================================================================
--- trunk/src/world_entities/questGUI/quest.cc	(revision 10507)
+++ trunk/src/world_entities/questGUI/quest.cc	(revision 10618)
@@ -22,24 +22,9 @@
 #include "quest.h"
 
-#include "event_handler.h"
-
-#include "state.h"
-
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
 
-#include "graphics_engine.h"
-#include "camera.h"
-#include "sound_engine.h"
+#include "glgui.h"
 
-#include "sound_source.h"
-
-#include "glgui.h"
-#include "menu/glgui_imagebutton.h"
-#include "glgui_multiline_text.h"
-#include <glgui_image.h>
-
-
-#include "shell_command.h"
 
 
@@ -52,5 +37,5 @@
   this->registerObject(this, Quest::_objectList);
   
-  this->Status = false;
+  this->status = false;
 
   if( root != NULL)
@@ -96,14 +81,9 @@
 void Quest::setQuestActive()
 {
-  this->Status = true;
+  this->status = true;
 }
 
 void Quest::setQuestInactive()
 {
-  this->Status = false;
+  this->status = false;
 }
-
-const bool Quest::getQuestStatus()
-{
-  return this->Status;
-}
Index: trunk/src/world_entities/questGUI/quest.h
===================================================================
--- trunk/src/world_entities/questGUI/quest.h	(revision 10507)
+++ trunk/src/world_entities/questGUI/quest.h	(revision 10618)
@@ -20,28 +20,33 @@
    virtual void loadParams(const TiXmlElement* root = NULL);
    
-   inline void setQuestName(const std::string& questName)                { this->questName = questName; }
-   inline const std::string& getQuestName()                              { return this->questName; }
-   inline void setQuestDescription(const std::string& questDescription)  { this->questDescription = questDescription; }
-   inline const std::string& getQuestDescription()                       { return this->questDescription; }
-   inline void setQuestPicture(const std::string& questPicture)          { this->questPicture = questPicture; }
-   inline const std::string& getQuestPicture()                           { return this->questPicture; }
-   inline void setQuestDifficulty(const std::string& questDifficulty)    { this->questDifficulty = questDifficulty; }
-   inline const std::string& getQuestDifficulty()                        { return this->questDifficulty; }
+   inline void setQuestName(const std::string& questName) { this->questName = questName; }
+   inline const std::string& getQuestName() const { return this->questName; }
    
-   inline void setQuestPersons(const std::string& questPersons)          { this->questPersons = questPersons; }
-   inline const std::string& getQuestPersons()                        { return this->questPersons; }
+   inline void setQuestDescription(const std::string& questDescription) { this->questDescription = questDescription; }
+   inline const std::string& getQuestDescription() const { return this->questDescription; }
    
-   inline void setRewardDescription(const std::string& rewardDescription){ this->rewardDescription  = rewardDescription; }
-   inline const std::string& getRewardDescription()                      { return this->rewardDescription; }
-   inline void setRewardPicture(const std::string& rewardPicture)        { this->rewardPicture  = rewardPicture; }
-   inline const std::string& getRewardPicture()                          { return this->rewardPicture; }
+   inline void setQuestPicture(const std::string& questPicture) { this->questPicture = questPicture; }
+   inline const std::string& getQuestPicture() const { return this->questPicture; }
+   
+   inline void setQuestDifficulty(const std::string& questDifficulty) { this->questDifficulty = questDifficulty; }
+   inline const std::string& getQuestDifficulty() const { return this->questDifficulty; }
+   
+   inline void setQuestPersons(const std::string& questPersons) { this->questPersons = questPersons; }
+   inline const std::string& getQuestPersons() const { return this->questPersons; }
+   
+   inline void setRewardDescription(const std::string& rewardDescription) { this->rewardDescription  = rewardDescription; }
+   inline const std::string& getRewardDescription() const { return this->rewardDescription; }
+   
+   inline void setRewardPicture(const std::string& rewardPicture) { this->rewardPicture  = rewardPicture; }
+   inline const std::string& getRewardPicture() const { return this->rewardPicture; }
+   
    void setQuestActive();
    void setQuestInactive();
-   const bool getQuestStatus();
+   const bool getQuestStatus() const { return status; };
    
 
    
   private:
-    bool                    Status;
+    bool                    status;
     std::string             questName;
     std::string             questDescription;
Index: trunk/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- trunk/src/world_entities/questGUI/quest_gui.cc	(revision 10507)
+++ trunk/src/world_entities/questGUI/quest_gui.cc	(revision 10618)
@@ -3,12 +3,12 @@
 /*
    orxonox - the future of 3D-vertical-scrollers
-
+ 
    Copyright (C) 1004 orx
-
+ 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
-
+ 
    ### File Specific:
    main-programmer    std::string             questName;
@@ -18,5 +18,5 @@
     std::string             rewardDescription;
     std::string             rewardPicture;: Andreas Hejj
-
+ 
 */
 
@@ -27,22 +27,13 @@
 #include "quest_gui.h"
 
-#include "event_handler.h"
-
-#include "state.h"
-
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
 
-#include "graphics_engine.h"
-#include "camera.h"
 #include "sound_engine.h"
 
-#include "sound_source.h"
-
-#include "glgui_widget.h"
+
 #include "glgui.h"
 #include "menu/glgui_imagebutton.h"
 #include "glgui_multiline_text.h"
-#include <glgui_image.h>
 
 #include "event_handler.h"
@@ -50,17 +41,12 @@
 #include "quest.h"
 
-#include "shell_command.h"
-
 ObjectListDefinition(QuestGUI);
-
 CREATE_FACTORY(QuestGUI);
-
-
 
 #include "script_class.h"
 CREATE_SCRIPTABLE_CLASS(QuestGUI,
                         addMethod("startGUI", Executor0<QuestGUI, lua_State*>(&QuestGUI::startGUI))
-                      ->addMethod("stopGUI",  Executor0<QuestGUI, lua_State*>(&QuestGUI::stopGUI))
-                      ->addMethod("isActive", Executor0ret<QuestGUI, lua_State*,bool>(&QuestGUI::isActive))
+                        ->addMethod("stopGUI",  Executor0<QuestGUI, lua_State*>(&QuestGUI::stopGUI))
+                        ->addMethod("isActive", Executor0ret<QuestGUI, lua_State*,bool>(&QuestGUI::isActive))
                        );
 
@@ -69,20 +55,16 @@
 QuestGUI::QuestGUI(const TiXmlElement* root)
 {
+  this->questBox = NULL;
+  this->bKillGui = false;
+  this->bActive = false;
+
   if (root != NULL)
   {
-  this->registerObject(this, QuestGUI::_objectList);
-
-  this->toList(OM_GROUP_00);
-
-  this->questBox = NULL;
-
-  this->bKillGui = false;
-
-  this->bActive = false;
-
-  this->myQuest = new Quest(root);
-
-  if(root)
-    this->loadParams( root);
+    this->registerObject(this, QuestGUI::_objectList);
+    this->toList(OM_GROUP_00);
+    this->myQuest = new Quest(root);
+
+    if(root)
+      this->loadParams( root);
   }
 }
@@ -115,5 +97,4 @@
 {
   this->bKillGui = false;
-
 
   if (questBox == NULL)
@@ -254,5 +235,5 @@
 void QuestGUI::stopGUI()
 {
-    this->bKillGui = true;
+  this->bKillGui = true;
 }
 
Index: trunk/src/world_entities/questGUI/quest_gui.h
===================================================================
--- trunk/src/world_entities/questGUI/quest_gui.h	(revision 10507)
+++ trunk/src/world_entities/questGUI/quest_gui.h	(revision 10618)
@@ -4,9 +4,7 @@
 
 #include "world_entity.h"
-#include "glgui.h"
-#include <glgui_image.h>
-#include <vector>
 
 class Quest;
+namespace OrxGui { class GLGuiBox; }
 
 class QuestGUI : public WorldEntity
@@ -28,23 +26,11 @@
 
   private:
-    Quest*                  myQuest;
-    bool                    bKillGui;
-    bool                    bActive;
+    Quest*                 myQuest;
+    bool                   bKillGui;
+    bool                   bActive;
 
-    OrxGui::GLGuiBox*       headerBox;
-    OrxGui::GLGuiBox*       outlineBox;
-    OrxGui::GLGuiBox*       labelBox;
-    OrxGui::GLGuiImage*     placeImage;
     OrxGui::GLGuiBox*       questBox;
-    OrxGui::GLGuiImage*     questImage;
-    OrxGui::GLGuiBox*       rewardBox;
-    OrxGui::GLGuiImage*     rewardImage;
-    OrxGui::GLGuiBox*       answerBox;
-    OrxGui::GLGuiImage*     placeImage2;
-    OrxGui::GLGuiBox*       acceptBox;
-    OrxGui::GLGuiBox*       refuseBox;
-
-
-    OrxSound::SoundSource*  selectorSource;
+    
+    
 
     void accept();
